package taslar;


public class At {
	public boolean alive = true;
	public boolean sonuc;
	public String tasIsim = "at";
	public char isim;
	public char renk;
	public int konumSatir, konumSutun;
	
	
	public At(char is, char re) {
		this.isim = is;
		this.renk = re;
	}
	
	public void setPosition(int x, int y) {
		this.konumSatir = x;
		this.konumSutun = y;
	}
	
	public boolean checkMove(char[][] T, int x, int y) {
		Character hedefChar = T[x][y];
		sonuc = true;
		if((this.renk == 'b') && (hedefChar.hashCode()>95)) {
			sonuc = false;
		} else if((this.renk == 's') && (hedefChar.hashCode() < 95) && (hedefChar.hashCode()>50)) {
			sonuc = false;
		}
		
		int a = Math.abs(x-konumSatir);
		int b = Math.abs(y-konumSutun);
		
		if((a==2)&&(b==1)) {
			sonuc = true;
		} else if((a==1)&&(b==2)) {
			sonuc = true;
		} else {
			sonuc = false;
		}
		
		return sonuc;
	}//checkMove son

}
